:root {
    /* color-scheme: light dark; */
    background-color: light-dark(#fbf1c7, #282828);
    color: light-dark(#3c3836, #ebdbb2);
    accent-color: #076678;
}

body {
    max-width: 800px;
    margin: auto;
    font-family: system-ui, sans-serif;
}

/* I prefer justified text */
p {
    text-align: justify;
}

hr {
    margin: auto;
    text-align: center;
    border: none;
}

hr::before {
    /* 
    other symbols: 
    ᛝ   - some norse symbol, doesn't really work here
     ⃟, - a generic shape but pleasant and not too distracting 
    ↀ,  - perhaps readable as a sort of double-stone, echoing the relation between Jia Baoyu and Lin Daiyu
    ֍   - 
    */
    content: ' ⃟';
    color: light-dark(#3c3836, #ebdbb2);
}

.header,
.footer {
    background-color: rgba(128, 128, 128, 0.301);
    line-height: 2em;
    text-align: center;
    padding: 1em;
}

h1,
h2,
h3,
h4,
h5 {
    font-family: 'Garamond';
}

div.post h2 {
    margin-top: 0;
}

div.post {
    /* border: 2px solid light-dark(black, #ebdbb2); */
    /* border-radius: 12px; */
    /* padding: 1em; */
    margin: 2em 0;
}

a {
    color: light-dark(#076678, #458588);
}

a:visited {
    color: light-dark(#8f3f71, #b16286);
}

details {
    gap: 8px;
}

summary {
    padding: 8px;
    cursor: pointer;
}

label {
    cursor: pointer;
}

.center * {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.padding {
    height: 10vh;
}